![Poster](img/Det.jpg)

## MATH BC2006 <br /> Combinatorics <br /> Spring 2016

---

<http://www.math.columbia.edu/~bayer/S16/Combinatorics>

---

__Tuesdays and Thursdays, 10:10am - 11:25am__  
[__237 Milbank Hall (Barnard)__](http://barnard.edu/visit/campus-map)

[__Dave Bayer__](http://www.math.columbia.edu/~bayer)  
[__Office Hours__](http://www.math.columbia.edu/~bayer/OfficeHours)  
<bayer@math.columbia.edu>  
[426 Mathematics](http://www.columbia.edu/about_columbia/map/mathematics.html)  

[Directory of Classes](http://www.columbia.edu/cu/bulletin/uwb/home.html) |
[Spring 2016 Mathematics](http://www.columbia.edu/cu/bulletin/uwb/subj/MATH/_Spring2016.html) |
[MATH BC2006](http://www.columbia.edu/cu/bulletin/uwb/subj/MATH/BC2006-20161-001/)  

---

### Content

This is an introductory course in combinatorics, with a focus on counting problems. As there are many methods that have been developed in calculus and analysis for measuring continuous quantities, there are also many methods that have been developed in combinatorics for counting finite sets. We will survey these methods, with a focus on problem solving.

---

### Exams

Including our final, there will be a total of three exams:

* __Exam 1__ (30 pts), Tuesday, February 16
* __Exam 2__ (30 pts), Tuesday, March 29
* __Final__ (48 pts), Tuesday, May 10, 9 AM - Noon

Please discuss other conflicts with me in advance of the exam in question. Missed exams will become grades of zero.

[Barnard Final Examinations, Spring 2016](https://barnard.edu/events/final-examinations-spring-2016)  
[Master University Examination Schedule](http://registrar.columbia.edu/content/exams)  
[University Academic Calendar](http://registrar.columbia.edu/academic-calendar/6)  
[Columbia Disability Form](http://www.math.columbia.edu/~bayer/ODS/Disability_TestingAccommodation.pdf)  
[Religious Holidays](https://www.college.columbia.edu/facultyresources/religiousholidays)

---

### Preparation for Exams

The following pages are study guides for each exam. 

* [Preparation for Exam 1](Exam1)
* [Preparation for Exam 2](Exam2)
* [Preparation for Final](Final)

---

### Blackboards

The following are a few blackboards that we decided to save between classes:

* [Tuesday, February 9](date/02-09)

---

### Textbooks

Our textbooks are available freely online to Columbia University affiliates, through [SpringerLink](https://clio.columbia.edu/catalog/2402476).

These books overlap in content, with varying styles and levels. As we study each topic, please work with the book(s) that you prefer.

The following books are good to read from the beginning, matching fairly well the material that we will cover in class.
Go back and forth, or stick with the book that you prefer:

* [1983 Pólya, Tarjan, Woods - Notes on Elementary Combinatorics](http://link.springer.com/book/10.1007/978-0-8176-4953-1)
* [2007 Aigner - A Course in Enumeration](http://link.springer.com/book/10.1007/978-3-540-39035-0)
* [2011 Camina, Lewis - An introduction to enumeration](http://link.springer.com/book/10.1007/978-0-85729-600-9)

The following is a great topics book. We are likely to study a few sections from this book, later in the course:

* [2010 Aigner, Ziegler - Proofs from The Book](http://link.springer.com/book/10.1007/978-3-642-00856-6)

The following are also of interest, but don't match our syllabus as closely:

* [2010 Soifer - Geometric Etudes in Combinatorial Mathematics](http://link.springer.com/book/10.1007/978-0-387-75470-3)
* [2013 Soberón - Problem-Solving Methods in Combinatorics](http://link.springer.com/book/10.1007/978-3-0348-0597-1)

For reference and the curious, here is the definitive graduate text on enumeration:

* [2011 Stanley - Enumerative Combinatorics Volume 1, second edition](http://www-math.mit.edu/~rstan/ec/ec1.pdf)

I found this text after teaching this course; it looks like a good choice for future
semesters:

* [2003 Lovasz, Pelikan, Vesztergombi - Discrete mathematics](http://link.springer.com/book/10.1007/978-0-387-21777-2)

---

### Previous semesters

* [Spring 2015 Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics)
* [Spring 2014 Combinatorics](http://www.math.columbia.edu/~bayer/S14/Combinatorics)
* [Fall 2011 Combinatorics](http://www.math.columbia.edu/~bayer/F11/Combinatorics)
* [Fall 2000 Combinatorics](http://www.math.columbia.edu/~bayer/F00/combinatorics.html)

---

### Calendar

This [calendar](calendar.php) gives our schedule of classes and exams:

<-calendar->

<span style="font-size:xx-small;">
[source](source.php)
[links](links.php)
[validate](http://redbot.org/?uri=http%3A%2F%2Fwww.math.columbia.edu%2F~bayer%2FS16%2FCombinatorics%2F)
</span>

