### Exam 1 Preparation <br /> Combinatorics <br /> Spring 2016

---

### Exam preparation

Our first exam will be Tuesday, February 16, in class.

The exam will cover the basic counting techniques that we have been studying in class:
Inclusion-Exclusion counting, and dividing problems recursively into smaller cases,
as applied to path counting, tube packing, change making, cutting n-gons into smaller pieces.
The first exams from the past two years give representative problems for these topics.

The following course materials may be used to study for our first exam.

* [Exam1-S14-Combinatorics](http://www.math.columbia.edu/~bayer/S14/Combinatorics/Exam1/Exam1-S14-Combinatorics.pdf)
* [Exam1-S14-Solutions-Combinatorics](http://www.math.columbia.edu/~bayer/S14/Combinatorics/Exam1/Exam1-S14-Solutions-Combinatorics.pdf)
* [Exam1-S15-Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics/pdf/Exam1-S15-Combinatorics.pdf)
* [Exam1-S15-Solutions-Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics/pdf/Exam1-S15-Solutions-Combinatorics.pdf)
* [Makeup1-S15-Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics/pdf/Makeup1-S15-Combinatorics.pdf)
* [Homework1-S15-Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics/pdf/Homework1-S15-Combinatorics.pdf)

---

### Homework

To supplement my exam records, I scan any work that students submit to me.
I will return these PDF files to your CourseWorks drop box, while also keeping these files
as part of your record.

This work can be free form. You may work problems from last year's homework assignment,
or you may further explore examples from class or our readings. Most importantly, this
work should feel like play. Rather than feeling pressure to write something corresponding
to every problem assigned last year, I would strongly prefer that you explore deeply a few
problems that you find are fun to work with, as if you were doing research.

Work may be handed in at any time; students often keep their work until each exam, handing
it in with their exam. I will do my best to return PDFs promptly.
